Subject: RE: [AVT] question on DTX for AMR

From: Ralph Neff <[email-masked]>
Date: Mon, 21 Jan 2002 09:43:32 -0800

Hi Tobi,

> 1) in DTX mode: do you transmit a ToC in case a NO_DATA AMR frame is at
the
> end of a payload frame ?
> e.g. you have {7,7,8,15,15} in one RTP frame ?
> so is ther a ToC for the last two AMR frames? I guess not because you can
> get the loss from the next timestamp info.

I agree, there is no reason to add NO_DATA frames at the end.  
They'd only be needed if they were in between
other speech frames in the same packet (e.g. {7,7,8,15,15,7}).
So it's inefficient to put them at the end, but otherwise 
it seems legal (I didn't see anything in the draft prohibiting 
this).

> 2) what happens if you send lots of NO_DATA frames, e.g. only NO_DATA
frames
> within one RTP payload. is there any ToC ?
> e.g. 15,15,15,15,15 => 5 ToC s? or no one and backmapping through time
stamp
> of next RTP packet ?

You SHOULD NOT send packets with all NO_DATA frames (see Section 2.5,
third paragraph of the current draft (10)).  As you said, you detect
the loss when a packet arrives to break the "silence."

-Ralph

> best regards,
> Tobi

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt